Change Log
==========

Version 1.6.5
-------------

* Fix database corruption
* Improvements to Feed parsing

Version 1.6.4
-------------

* Fixes issues on Android Oreo
* Avoids duplicate chapters
* Experimental: Database import & export

Version 1.6.3
-------------

* New features:
   * Support for Android Auto
   * Sort feeds by number of played episodes
   * Statistics modes
   * Setting: Enqueue downloaded
   * Launch screen
* Improvements
   * Chapter duration
   * Feed title in deletion confirmation
* Fixes:
   * Episodes refresh spinner
   * Publication date parsing
   * Unknown mime type

Version 1.6.2
-------------

* New features:
  * Integration of fyyd Podcast Search Engine
  * Export subscriptions as HTML
  * Rename feeds
  * Auto-enable sleep timer
  * "has media" filter
  * Force gpodder full sync
* Improvements:
  * Better support for Atom feeds, e.g. summary tag
  * Confirmation dialog on mark all as seen
  * Number of downloaded episodes in subscription counter
  * Gpodder sync error optional
  * Search results
  * MRSS support
  * Sanitize HTML from Atom feed
* Fixes:
  * Reset sleep timer on shake to current waiting time
  * Cast dialog image
  * Mini player not showing up
  * Audio player cover fragment
  * Prevent out of memory and casting crashes

Version 1.6.0
-------------
* New features:
  * Experimental Chromecast support
  * Subscription overview
  * Proxy support
  * Statistics
  * Manual gpodder.net sync
* Fixes:
  * Audioplayer controls
  * Audio ducking
  * Video control fade-out
  * External media controls
  * Feed parsing

Version 1.5.0
-------------
* Exclude episodes from auto download by keyword
* Configure feeds to prevent them from refreshing automatically
* Improved audio player
* Improved UI
* Bug fixes

Version 1.4.1
-------------
* Performance improvements
* Hardware buttons now ff and rewind instead of skipping
* Option to have forward button skip
* Option to send crash reports directly to developers
* Highlight currently playing episode
* Widget improvements

Version 1.4.0.12
----------------
* Fix for crash on Huawei devices (media buttons may not work)

Version 1.4
-----------
* BLUETOOTH PERMISSION: Needed to be able to resume playback when a Bluetooth device reconnects with your phone
* VIBRATE PERMISSION: Used optionally with the sleep timer
* Native variable speed playback (experimental via options)
* Improved sleep timer
* Mark episodes as 'favorite'
* Notification can skip episodes
* Keep episodes when skipping them
* Episode art on lock screen
* Flexible episode cleanup
* Rewind after pause
* Usability improvements
* Bug fixes

Version 1.3
-----------
* Bulk actions on feed episodes (download, queue, delete)
* Reduced space used by images
* Automatic refresh at a certain time of day
* Customizable indicators and sorting for feeds
* Ability to share feeds
* Improved auto download
* Many fixes and usability improvements

Version 1.2
-----------
* Optionally disable swiping and dragging in the queue
* Resume playback after phone call
* Filter episodes in the Podcast feed
* Hide items in the Nav drawer
* Customize times for fast forward and rewind
* Resolved issues with opening some OPML files
* Various bug fixes and usability improvements

Version 1.1
-----------
* iTunes podcast integration
* Swipe to remove items from the queue
* Set the number of parallel downloads
* Fix for gpodder.net on old devices
* Fixed date problems for some feeds
* Display improvements
* Usability improvements
* Several other bugfixes

Version 1.0
-----------
* The queue can now be sorted
* Added option to delete episode after playback
* Fixed a bug that caused chapters to be displayed multiple times
* Several other improvements and bugfixes


Version 0.9.9.6
---------------
* Fixed problems related to variable playback speed plugins
* Fixed automatic feed update problems
* Several other bugfixes and improvements

Version 0.9.9.5
---------------
* Added support for paged feeds
* Improved user interface
* Added Japanese and Turkish translations
* Fixed more image loading problems
* Other bugfixes and improvements

Version 0.9.9.4
---------------
* Added option to keep notification and lockscreen controls when playback is paused
* Fixed a bug where episode images were not loaded correctly
* Fixed battery usage problems

Version 0.9.9.3
---------------
* Fixed video playback problems
* Improved image loading
* Other bugfixes and improvements

Version 0.9.9.2
---------------
* Added support for feed discovery if a website URL is entered
* Added support for 'next'/'previous' media keys
* Improved sleep timer
* Timestamps in shownotes can now be used to jump to a specific position
* Automatic Flattring is now configurable
* Several bugfixes and improvements

Version 0.9.9.1
---------------
* Several bugfixes and improvements

Version 0.9.9.0
---------------
* New user interface
* Failed downloads are now resumed when restarted
* Added support for Podlove Alternate Feeds
* Added support for "pcast"-protocol
* Added backup & restore functionality. This feature has to be enabled in the Android settings in order to work
* Several bugfixes and improvements

Version 0.9.8.3
---------------
* Added support for password-protected feeds and episodes
* Added support for more types of episode images
* Added Hebrew translation
* Several bugfixes and improvements

Version 0.9.8.2
---------------
* Several bugfixes and improvements
* Added Korean translation

Version 0.9.8.1
---------------
* Added option to flattr an episode automatically after 80 percent of the episode have been played
* Added Polish translation
* Several bugfixes and improvements

Version 0.9.8.0
---------------
* Added access to the gpodder.net directory
* Added ability to sync podcast subscriptions with the gpodder.net service
* Automatic download can now be turned on or off for specific podcasts
* Added option to pause playback when another app is playing sounds
* Added Dutch and Hindi translation
* Resolved a problem with automatic podcast updates
* Resolved a problem with the buttons' visibility in the episode screen
* Resolved a problem where episodes would be re-downloaded unnecessarily
* Several other bugfixes and usability improvements

Version 0.9.7.5
---------------
* Reduced application startup time
* Reduced memory usage
* Added option to change the playback speed
* Added Swedish translation
* Several bugfixes and improvements

Version 0.9.7.4
---------------
* Episode cache size can now be set to unlimited
* Removing an episode in the queue via sliding can now be undone
* Added support for Links in MP3 chapters
* Added Czech(Czech Republic), Azerbaijani and Portuguese translations
* Several bugfixes and improvements

Version 0.9.7.3
---------------
* Bluetooth devices now display metadata during playback (requires AVRCP 1.3 or higher)
* User interface improvements
* Several bugfixes

Version 0.9.7.2
---------------
* Automatic download can now be disabled
* Added Italian (Italy) translation
* Several bugfixes

Version 0.9.7.1
---------------
* Added automatic download of new episodes
* Added option to specify the number of downloaded episodes to keep on the device
*  Added support for playback of external media files
*  Several improvements and bugfixes
*  Added Catalan translation

Version 0.9.7
-------------
* Improved user interface
* OPML files can now be imported by selecting them in a file browser
* The queue can now be organized via drag & drop
* Added expandable notifications (only supported on Android 4.1 and above)
* Added Danish, French, Romanian (Romania) and Ukrainian (Ukraine) translation (thanks to all translators!)
* Several bugfixes and minor improvements

Version 0.9.6.4
---------------
* Added Chinese translation (Thanks tupunco!)
* Added Portuguese (Brazil) translation (Thanks mbaltar!)
* Several bugfixes

Version 0.9.6.3
---------------
* Added the ability change the location of AntennaPod's data folder
* Added Spanish translation (Thanks frandavid100!)
* Solved problems with several feeds

Version 0.9.6.2
---------------
* Fixed import problems with some OPML files
* Fixed download problems
* AntennaPod now recognizes changes of episode information
* Other improvements and bugfixes

Version 0.9.6.1
---------------
* Added dark theme
* Several bugfixes and improvements

Version 0.9.6
-------------
* Added support for VorbisComment chapters
* AntennaPod now shows items as 'in progress' when playback has started
* Reduced memory usage
* Added support for more feed types
* Several bugfixes


Version 0.9.5.3
---------------
* Fixed crash when trying to start playback on some devices
* Fixed problems with some feeds
* Other bugfixes and improvements

Version 0.9.5.2
---------------
* Media player now doesn't use network bandwidth anymore if not in use
* Other improvements and bugfixes

Version 0.9.5.1
---------------
* Added playback history
* Improved behavior of download report notifications
* Improved support for headset controls
* Bugfixes in the feed parser
* Moved 'OPML import' button into the 'add feed' screen and the 'OPML export' button into the settings screen

Version 0.9.5
-------------
* Experimental support for MP3 chapters
* New menu options for the 'new' list and the queue
* Auto-delete feature
* Better Download error reports
* Several Bugfixes

Version 0.9.4.6
---------------
* Enabled support for small-screen devices
* Disabling the sleep timer should now work again

Version 0.9.4.5
---------------
* Added Russian translation (Thanks older!)
* Added German translation
* Several bugfixes

Version 0.9.4.4
---------------
* Added player controls at the bottom of the main screen and the feedlist screens
* Improved media playback

Version 0.9.4.3
---------------
* Fixed several bugs in the feed parser
* Improved behavior of download reports

Version 0.9.4.2
---------------
* Fixed bug in the OPML importer
* Reduced memory usage of images
* Fixed download problems on some devices

Version 0.9.4.1
---------------
* Changed behavior of download notifications

Version 0.9.4
-------------
* Faster and more reliable downloads
* Added lockscreen player controls for Android 4.x devices
* Several bugfixes

Version 0.9.3.1
---------------
* Added preference to hide feed items which don't have an episode
* Improved image size for some some screen sizes
* Added grid view for large screens
* Several bugfixes

Version 0.9.3
-------------
* MiroGuide integration
* Bugfixes in the audio- and videoplayer
* Automatically add feeds to the queue when they have been downloaded

Version 0.9.2
-------------
* Bugfixes in the user interface
* GUID and ID attributes are now recognized by the Feedparser
* Stability improvements when adding several feeds at the same time
* Fixed bugs that occured when adding certain feeds

Version 0.9.1.1
--------------------
* Changed Flattr credentials
* Improved layout of Feed information screen
* AntennaPod is now open source! The source code is available at https://github.com/danieloeh/AntennaPod

Version 0.9.1
-----------------
* Added support for links in SimpleChapters
* Bugfix: Current Chapter wasn't always displayed correctly

Version 0.9
--------------

* OPML export
* Flattr integration
* Sleep timer

Version 0.8.2
-------------

* Added search
* Improved OPML import experience
* More bugfixes

Version 0.8.1
------------

* Added support for SimpleChapters
* OPML import
